PDA

View Full Version : Ruby Demo .... that will run on 6800 AGP ... but cannot run on 6600GT PCIe...


trichard
03-27-05, 11:34 AM
I manage to get it run on AGP 6800 nicely .....

But I change to a PCIe ... it cannot run already ....

And there is a setting I cannot set .... AGP Apature = 256MB because PCI-e no such setting ...

How to overcome ?

Thx.

ChrisRay
03-27-05, 07:57 PM
The texture memory swap is controlled by the Nvidia drivers for PCIE cards. The reason the demo wont run on PCIE boards is because Ruby requires massive amounts of texture memory to be available. And currently Nvidia drivers seem to only give 64 megs from the system memory. Where as with AGP cards its set within the bios.

SH64
03-27-05, 08:01 PM
Interesting info . i too wondered why there wasent any aparture size option in the BIOS when moved to PCI-E .

trichard
03-30-05, 09:08 AM
Any solution ?

neliz
03-30-05, 04:31 PM
Would I be a bad boy to suggest an ati card..?

lol

Not really though, unless the aperture memory can be set within the registry...

trichard
03-31-05, 12:39 PM
Any expert did it ?

trichard
04-05-05, 09:30 AM
Up...............................

neliz
04-05-05, 09:33 AM
Up...............................

???

Have you tried manually setting turbocache in the registry?

trichard
04-06-05, 09:55 AM
Where is the setting name in the registry ?

???

Have you tried manually setting turbocache in the registry?

ChrisRay
04-06-05, 07:52 PM
I have overlooked this a little further. The latest Nvidia drivers seem to allocate 176 total texture memory to PCI bus. This software without compression seems to take over 450 megs of texture memory. :eek:

TierMann
04-07-05, 09:59 AM
How did you get it running on the 6800 AGP even? It ends at about 90% on the loading screen and gives me a long error text. That's with or without 3dAnalyze too (2.36b). Maybe I just don't have the right settings. And we are talking about the Ruby: Double Cross demo, right?

Error.txt:

//================================================== ===
// ATI Sushi Error Log Created 4/7/2005 9:55 am
//================================================== ===
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[gTexture.ssh] (line 133): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[gTexture.ssh] (line 207): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[gTexture.ssh] (line 253): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 940): Unknown vertex shader version fffe0300
[sBaseLightmapMetalDOF.ssh] (line 136): Error creating Vertex Shader
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[sBaseLightmapMetalDOF.ssh] (line 208): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 940): Unknown vertex shader version fffe0300
[sBaseLightmapMetalDOF.ssh] (line 272): Error creating Vertex Shader
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[sBaseLightmapMetalDOF.ssh] (line 308): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 940): Unknown vertex shader version fffe0300
[sBaseLightmapMetalDOF.ssh] (line 374): Error creating Vertex Shader
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[sBaseLightmapMetalDOF.ssh] (line 415): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 940): Unknown vertex shader version fffe0300
[sBaseLightmapMetalDOF.ssh] (line 485): Error creating Vertex Shader
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[sBaseLightmapMetalDOF.ssh] (line 538): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 940): Unknown vertex shader version fffe0300
[sLightmapDOF.ssh] (line 89): Error creating Vertex Shader
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[sLightmapDOF.ssh] (line 111): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 940): Unknown vertex shader version fffe0300
[sLightmapDOF.ssh] (line 157): Error creating Vertex Shader
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[sLightmapDOF.ssh] (line 176): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 940): Unknown vertex shader version fffe0300
[sLightmapDOF.ssh] (line 224): Error creating Vertex Shader
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[sLightmapDOF.ssh] (line 253): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 940): Unknown vertex shader version fffe0300
[sLightmapDOF.ssh] (line 302): Error creating Vertex Shader
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[sLightmapDOF.ssh] (line 331): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 940): Unknown vertex shader version fffe0300
[sLightRod.ssh] (line 89): Error creating Vertex Shader
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[sLightRod.ssh] (line 110): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 940): Unknown vertex shader version fffe0300
[sChandelierGlass.ssh] (line 108): Error creating Vertex Shader
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[sChandelierGlass.ssh] (line 146): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 940): Unknown vertex shader version fffe0300
[sChandelierGlass.ssh] (line 204): Error creating Vertex Shader
[SSGenericAPI_D3D.cpp] (line 1223): Unknown pixel shader version ffff0300
[sChandelierGlass.ssh] (line 245): Error creating Pixel Shader
[SSGenericAPI_D3D.cpp] (line 940): Unknown vertex shader version fffe0300
[sChandelierGlass.ssh] (line 296): Error creating Vertex Shader

Blah..... Too Long To Post .....

[Main.cpp] (line 894): Exception caught - BAD NEWS!

trichard
04-07-05, 11:20 AM
AGP wil definiately run ...

trichard
04-08-05, 11:05 AM
Up for more expert advice..

gstanford
04-09-05, 03:03 AM
ChrisRay,
How long has it been since you last tried to run Ruby?

I successfully ran Ruby back when the benchamrk was first released on my old GeForceFX with an early 60 series driver. I went to try it again later on in the 60 series and it wouldn't work for me. I wasn't terribly troubled about it at the time.

My AGP aperture is set to 512mb and I'm currently running the 76.44 drivers.

I can't get Ruby to run on my GeForce6. I have tried the 3danalyse ruby fix and different device id's.

I believe the problem may not be texture memory so much (the AGP aperture takes care of that and I have a 256mb card), but rather nVidia drivers now unofficially support ATi's 3DC compression, which the demo uses and the early 60 series drivers lack.

IIRC something was done to the Ruby scripts to translate the 3dc compression into a format GF cards could handle (the shader were untouched). I think the problem with the demo not running lies there.

trichard
04-10-05, 12:03 PM
.............................

trichard
04-15-05, 01:46 PM
More advice ....